portal = context.getPortalObject()
person = portal.ERP5Site_getAuthenticatedMemberPersonValue()

if person is not None:
  return portal.portal_catalog(
    portal_type="Hosting Subscription",
    default_destination_section_uid=person.getUid(),
    validation_state='validated',
    **kw
    )

## Do not commit this
return portal.portal_catalog(
    validation_state='validated',
    **kw
    )


return []
